package pojos;
// Generated 17-Feb-2020 17:55:34 by Hibernate Tools 4.3.1



/**
 * SubvencionId generated by hbm2java
 */
public class SubvencionId  implements java.io.Serializable {


     private int asegurado;
     private int linea;

    public SubvencionId() {
    }

    public SubvencionId(int asegurado, int linea) {
       this.asegurado = asegurado;
       this.linea = linea;
    }
   
    public int getAsegurado() {
        return this.asegurado;
    }
    
    public void setAsegurado(int asegurado) {
        this.asegurado = asegurado;
    }
    public int getLinea() {
        return this.linea;
    }
    
    public void setLinea(int linea) {
        this.linea = linea;
    }


   public boolean equals(Object other) {
         if ( (this == other ) ) return true;
		 if ( (other == null ) ) return false;
		 if ( !(other instanceof SubvencionId) ) return false;
		 SubvencionId castOther = ( SubvencionId ) other; 
         
		 return (this.getAsegurado()==castOther.getAsegurado())
 && (this.getLinea()==castOther.getLinea());
   }
   
   public int hashCode() {
         int result = 17;
         
         result = 37 * result + this.getAsegurado();
         result = 37 * result + this.getLinea();
         return result;
   }   


}


